### AUTOUPDATE-OFF: 9
Name:          libmikmod
Version:       3.3.9
Release:       1mamba
Summary:       Library supporting many sound formats
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://mikmod.raphnet.net
Source:        http://downloads.sourceforge.net/project/mikmod/libmikmod/%{version}/libmikmod-%{version}.tar.gz
Patch1:        %{name}-3.1.11-configure.patch
Patch2:        %{name}-3.1.11-exec_lib.patch
Patch3:        %{name}-3.1.11-dspbusy.patch
Patch4:        %{name}-3.1.11-esd_dlopen.patch
Patch5:        %{name}-3.1.11-musicraw_creation.patch
Patch6:        %{name}-3.1.12-CVE_2007_6720.patch
Patch7:        %{name}-3.1.12-CVE_2009_0179.patch
Patch8:        libmikmod-3.3.3-texinfo-5.patch
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaudiofile-devel
## AUTOBUILDREQ-END
BuildRequires: libalsa-devel
BuildRequires: libesound-devel
BuildRequires: automake
BuildRequires: autoconf

#checking for AF/AFlib.h... no
#checking for libgus.h... no

%description
Libmikmod is a sound library capable of playing audio samples as well as tracker modules.
Supported module formats include MOD, S3M, XM, IT, MED, MTM and 669.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
Libmikmod is a sound library capable of playing audio samples as well as tracker modules.
Supported module formats include MOD, S3M, XM, IT, MED, MTM and 669.
This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch1 -p1 -b .configure
#%patch2 -p1 -b .exec_lib
#%patch3 -p1 -b .dspbusy
#%patch4 -p1 -b .esd_dlopen
#%patch5 -p1 -b .musicraw_creation
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info mikmod.info

%preun devel
%uninstall_info mikmod.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libmikmod.so.*
%doc AUTHORS COPYING.LESSER COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/libmikmod-config
#%{_datadir}/aclocal/libmikmod.m4
%{_includedir}/mikmod.h
%{_libdir}/libmikmod.a
#%{_libdir}/libmikmod.la
%{_libdir}/libmikmod.so
#%{_infodir}/mikmod.*
#%{_mandir}/man1/libmikmod-config.*
%{_libdir}/pkgconfig/libmikmod.pc
%doc NEWS README TODO

%changelog
* Wed Aug 17 2016 Automatic Build System <autodist@mambasoft.it> 3.3.9-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 3.3.8-1mamba
- automatic version update by autodist

* Sun Sep 07 2014 Automatic Build System <autodist@mambasoft.it> 3.3.7-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.3.6-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Automatic Build System <autodist@mambasoft.it> 3.3.5-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- update to 3.3.3

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- update to 3.3.1

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- update to 3.2.0

* Sun Jul 04 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.1.12-1mamba
- update to 3.1.12
- fix security issues CVE-2007_6720 and CVE-2009-0179

* Thu Jun 26 2008 Tiziana Ferro <tiziana.ferro@email.it> 3.1.11-3mamba
- add prereq
- update Vendor, Distribution, mantainer, buildrequirements list

* Wed Aug 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-2qilnx
- alsa patch cleanups
- install/uninstall info page
- patched to create the music.raw file in the temporary directory in a
  secure way

* Fri Dec 17 2004 Massimo Pintore <massimo.pintore@qilinux.it> 3.1.11-1qilnx
- package created by autospec
